Support » Theme: OceanWP » Widget Errors

  • Resolved WorkinWP

    (@iguanamom)


    Hi,

    saw a bunch of these widget errors after the last update of the Ocean Social Sharing & Ocean Extra, maybe one other. However, I can’t say if it was caused by this last one or the previous one as I don’t get into the Widget section that often. I figure this may be more of a theme problem as it also references Woo errors too. They are on a red background at the top of the widget page. Of course I’m using Ocean theme v. 3.3.0 and everything else is updated.

    The "woocommerce_product_categories" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "ocean_mailchimp" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "ocean_mailchimp" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "ocean_custom_links" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "woocommerce_products" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "ocean_social" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "ocean_contact_info" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "woocommerce_product_categories" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "ocean_custom_links" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "woocommerce_price_filter" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "ocean_social" block was affected by errors and may not function properly. Check the developer tools for more details.

    The widgets I have on the site are still fine, but concerned about these errors. Is this the right spot to bring it up?

    Thanks,
    Steph

Viewing 4 replies - 1 through 4 (of 4 total)
  • Abhishek

    (@abhikr781)

    Hello,

    Where exactly are you getting these errors on Dashboard or on the widget section?

    In addition, Would you be so kind and go to Elementor > System Info and share the report with us so that we can take a look?

    Thread Starter WorkinWP

    (@iguanamom)

    Hi,

    thanks for the fast reply. These errors are in the widget section. I just checked another site running almost the same stuff without updating to the new theme or Ocean extra plugin and that one has it too…just more. I’ve added the report under this.

    The "woocommerce_product_categories" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "recent-posts" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "woocommerce_widget_cart" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "archives" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "ocean_custom_links" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "woocommerce_recently_viewed_products" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "text" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "meta" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "ocean_facebook" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "media_image" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "recent-comments" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "blog_subscription" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "blog_subscription" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "woocommerce_product_categories" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "meta" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "ocean_custom_links" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "recent-posts" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "woocommerce_recently_viewed_products" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "blog_subscription" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "ocean_facebook" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "ocean_mailchimp" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "text" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "media_image" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "woocommerce_widget_cart" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "woocommerce_recently_viewed_products" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "woocommerce_product_categories" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "custom_html" block was affected by errors and may not function properly. Check the developer tools for more details.
    
    The "custom_html" block was affected by errors and may not function properly. Check the developer tools for more details.

    Here’s the report on the original website. Thanks for checking into it!

    == Server Environment ==
    	Operating System: Linux
    	Software: LiteSpeed
    	MySQL version: MariaDB Server v10.3.35
    	PHP Version: 7.4.29
    	PHP Memory Limit: 256M
    	PHP Max Input Vars: 3000
    	PHP Max Post Size: 128M
    	GD Installed: Yes
    	ZIP Installed: Yes
    	Write Permissions: All right
    	Elementor Library: Connected
    
    == WordPress Environment ==
    	Version: 6.0
    	Site URL: https://heartfeltgifts.nz
    	Home URL: https://heartfeltgifts.nz
    	WP Multisite: No
    	Max Upload Size: 128 MB
    	Memory limit: 40M
    	Max Memory limit: 256M
    	Permalink Structure: /%postname%/
    	Language: en-US
    	Timezone: Pacific/Auckland
    	Admin Email: <retracted>
    	Debug Mode: Inactive
    
    == Theme ==
    	Name: OceanWP
    	Version: 3.3.0
    	Author: OceanWP
    	Child Theme: No
    
    == User ==
    	Role: administrator
    	WP Profile lang: en_US
    	User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/101.0.4951.67 Safari/537.36
    
    == Active Plugins ==
    	Checkout Field Editor for WooCommerce
    		Version: 1.6.1
    		Author: ThemeHigh
    
    	Elementor
    		Version: 3.6.5
    		Author: Elementor.com
    
    	Email Encoder - Protect Email Addresses
    		Version: 2.1.3
    		Author: Ironikus
    
    	Essential Addons for Elementor
    		Version: 5.1.4
    		Author: WPDeveloper
    
    	Header Footer Code Manager
    		Version: 1.1.22
    		Author: 99robots
    
    	Knowledge Base for Documents and FAQs
    		Version: 9.10.0
    		Author: Echo Plugins
    
    	LiteSpeed Cache
    		Version: 4.6
    		Author: LiteSpeed Technologies
    
    	Mailchimp for WooCommerce
    		Version: 2.6.2
    		Author: Mailchimp
    
    	MC4WP: Mailchimp for WordPress
    		Version: 4.8.7
    		Author: ibericode
    
    	Ocean Extra
    		Version: 2.0.0
    		Author: OceanWP
    
    	Ocean Product Sharing
    		Version: 2.0.3
    		Author: OceanWP
    
    	Ocean Social Sharing
    		Version: 2.0.2
    		Author: OceanWP
    
    	Orders Tracking for WooCommerce
    		Version: 1.1.16
    		Author: VillaTheme
    
    	Regenerate Thumbnails
    		Version: 3.1.5
    		Author: Alex Mills (Viper007Bond)
    
    	UpdraftPlus - Backup/Restore
    		Version: 1.22.12
    		Author: UpdraftPlus.Com, DavidAnderson
    
    	WooCommerce
    		Version: 6.5.1
    		Author: Automattic
    
    	WooCommerce Custom Product Addons (Free)
    		Version: 2.6.4
    		Author: Acowebs
    
    	WooCommerce Extra Fees Plugin
    		Version: 3.8.3
    		Author: theDotstore
    
    	WooCommerce Payments
    		Version: 4.2.0
    		Author: Automattic
    
    	Wordfence Security
    		Version: 7.5.10
    		Author: Wordfence
    
    	WPForms Lite
    		Version: 1.7.4.2
    		Author: WPForms
    
    	WP Mail SMTP
    		Version: 3.4.0
    		Author: WPForms
    
    	WP Rollback
    		Version: 1.7.1
    		Author: Impress.org
    
    	Yoast SEO
    		Version: 18.9
    		Author: Team Yoast
    
    == Elementor Experiments ==
    	Optimized DOM Output: Active by default
    	Improved Asset Loading: Active by default
    	Improved CSS Loading: Active by default
    	Inline Font Icons: Inactive by default
    	Accessibility Improvements: Active by default
    	Import Export Template Kit: Active by default
    	Additional Custom Breakpoints: Active by default
    	Hide native WordPress widgets from search results: Active by default
    	: Inactive by default
    	Flexbox Container: Inactive by default
    	Landing Pages: Active by default
    	Color Sampler: Active by default
    	Favorite Widgets: Active by default
    	Admin Top Bar: Active by default
    
    == Log ==
    	
    Log: showing 20 of 412022-04-06 16:20:20 [info] Elementor data updater process has been queued. [array (
      'plugin' => 'Elementor',
      'from' => '3.6.1',
      'to' => '3.6.2',
    )]
    2022-04-06 16:20:26 [info] elementor::elementor_updater Started 
    2022-04-06 16:20:26 [info] Elementor/Upgrades - _on_each_version Start  
    2022-04-06 16:20:26 [info] Elementor/Upgrades - _on_each_version Finished 
    2022-04-06 16:20:26 [info] Elementor data updater process has been completed. [array (
      'plugin' => 'Elementor',
      'from' => '3.6.1',
      'to' => '3.6.2',
    )]
    2022-04-06 16:20:27 [info] Elementor data updater process has been queued. [array (
      'plugin' => 'Elementor',
      'from' => '3.6.1',
      'to' => '3.6.2',
    )]
    2022-04-13 19:39:19 [info] elementor::elementor_updater Started 
    2022-04-13 19:39:19 [info] Elementor/Upgrades - _on_each_version Start  
    2022-04-13 19:39:19 [info] Elementor/Upgrades - _on_each_version Finished 
    2022-04-13 19:39:19 [info] Elementor data updater process has been completed. [array (
      'plugin' => 'Elementor',
      'from' => '3.6.2',
      'to' => '3.6.3',
    )]
    2022-04-15 10:27:11 [info] Elementor data updater process has been queued. [array (
      'plugin' => 'Elementor',
      'from' => '3.6.3',
      'to' => '3.6.4',
    )]
    2022-04-15 10:27:12 [info] elementor::elementor_updater Started 
    2022-04-15 10:27:12 [info] Elementor/Upgrades - _on_each_version Start  
    2022-04-15 10:27:12 [info] Elementor/Upgrades - _on_each_version Finished 
    2022-04-15 10:27:12 [info] Elementor data updater process has been completed. [array (
      'plugin' => 'Elementor',
      'from' => '3.6.3',
      'to' => '3.6.4',
    )]
    2022-04-28 08:39:33 [info] Elementor data updater process has been queued. [array (
      'plugin' => 'Elementor',
      'from' => '3.6.4',
      'to' => '3.6.5',
    )]
    2022-04-28 08:39:34 [info] elementor::elementor_updater Started 
    2022-04-28 08:39:34 [info] Elementor/Upgrades - _on_each_version Start  
    2022-04-28 08:39:34 [info] Elementor/Upgrades - _on_each_version Finished 
    2022-04-28 08:39:34 [info] Elementor data updater process has been completed. [array (
      'plugin' => 'Elementor',
      'from' => '3.6.4',
      'to' => '3.6.5',
    )]
    
    PHP: showing 2 of 2PHP: 2022-01-30 10:11:01 [error X 1][/home/heartfel/public_html/wp-content/plugins/elementor/data/v2/base/controller.php::227] Uncaught Elementor\Data\V2\Base\Exceptions\WP_Error_Exception: Method 'WP_REST_Controller::get_item_permissions_check' not implemented. Must be overridden in subclass. in /home/heartfel/public_html/wp-content/plugins/elementor/data/v2/base/controller.php:227
    Stack trace:
    #0 /home/heartfel/public_html/wp-content/plugins/elementor/data/v2/base/base-route.php(105): Elementor\Data\V2\Base\Controller->get_permission_callback(Object(WP_REST_Request))
    #1 /home/heartfel/public_html/wp-content/plugins/elementor/data/v2/base/base-route.php(242): Elementor\Data\V2\Base\Base_Route->get_permission_callback(Object(WP_REST_Request))
    #2 /home/heartfel/public_html/wp-includes/rest-api/class-wp-rest-server.php(1108): Elementor\Data\V2\Base\Base_Route->Elementor\Data\V2\Base\{closure}(Object(WP_REST_Request))
    #3 /home/heartfel/public_html/wp-includes/rest-api/class-wp-rest-server.php(988): WP_REST_Server->respond_to_request(Object(WP_REST_Request), '/elementor/v1/f...', Array, NULL)
    #4 /home/heartfel/public_html/wp-includes/res [array (
      'trace' => '
    #0: Elementor\Core\Logger\Manager -> shutdown()
    ',
    )]
    PHP: 2022-05-07 19:20:51 [notice X 1][/home/heartfel/public_html/wp-content/plugins/elementor/core/common/modules/ajax/module.php::171] Undefined index: data [array (
      'trace' => '
    #0: Elementor\Core\Logger\Manager -> shutdown()
    ',
    )]
    
    == Elementor - Compatibility Tag ==
    	
    	Essential Addons for Elementor: Compatible
    Thread Starter WorkinWP

    (@iguanamom)

    It appears this is a WordPress issue and the temporary fix is to install Classic Widget plugin until they fix the problem. Thanks.

    Abhishek

    (@abhikr781)

    Glad to hear that issue has been resolved.

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.